package com.app.admin.framework.system.organization.service;

import com.app.admin.framework.system.organization.view.SysOrganizationView;
import com.app.admin.framework.system.permission.authorization.model.SysAdministratorRole;
import com.app.framework.core.support.auth.LoginUser;

/**
 * 机构权限管理
 */
public interface SysOrgPowerService {

    void saveOrg(SysOrganizationView view, LoginUser loginUser);

    /**
     * 根据机构ID加载管理权限
     *
     * @param organizationId 机构ID
     * @return
     */
    SysAdministratorRole getOrgPower(Long organizationId);
}
