package com.app.admin.framework.system.permission.authorization.dao;

import com.app.admin.framework.system.permission.authorization.model.SysAdministratorRole;
import com.app.admin.framework.system.permission.authorization.view.SysAdministratorRoleView;
import com.app.framework.core.support.mapper.CrudBaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface SysAdministratorRoleDao extends CrudBaseMapper<SysAdministratorRole> {
    
    List<SysAdministratorRoleView> selectByUserId(Map<String, Object> map);

    List<String> getUsernameByRoleId(Long roleId);
    
}